Bug 1249229 - Touchpad unconditionally disabled while typing
Touchpad unconditionally disabled while typing
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-libinput (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-31 17:52 EDT by Andrew Cook
Modified: 2015-08-19 06:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-19 06:06:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Cook 2015-07-31 17:52:38 EDT
Description of problem:
When using the libinput driver instead of synaptics, the touchpad will be disabled while typing, with no apparent way to disable this behaviour

How reproducible:
Default Fedora 22 install has the issue

Actual results:
Touchpad is disabled while typing with no way to change that behaviour

Expected results:
An option present under gnome settings or xinput to change the behaviour

Additional info:
The synaptics driver may have this issue, but an opposite default
Comment 1 Peter Hutterer 2015-08-02 23:48:45 EDT
We just recently merged this upstream, should make its way into Fedora within the next few days.
Comment 2 Peter Hutterer 2015-08-19 06:06:00 EDT
sorry, forgot to update this one. libinput 0.21 and xorg-x11-drv-libinput-0.13 provide a property to toggle disable-while-typing.

Note You need to log in before you can comment on or make changes to this bug.